#
# spec file for package ghc-cabal-doctest
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name cabal-doctest
Name:           ghc-%{pkg_name}
Version:        1.0.9
Release:        150500.1.1
Summary:        A Setup.hs helper for running doctests
License:        BSD-3-Clause
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
Source1:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/revision/1.cabal#/%{pkg_name}.cabal
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-rpm-macros
ExcludeArch:    %{ix86}

%description
As of now (end of 2021), there isn't 'cabal doctest' command. Yet, to properly
work, 'doctest' needs plenty of configuration. This library provides the common
bits for writing a custom 'Setup.hs'.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%autosetup -n %{pkg_name}-%{version}
cp -p %{SOURCE1} %{pkg_name}.cabal

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc ChangeLog.md README.md

%changelog
* Sat May 28 2022 psimons@suse.com
- Update cabal-doctest to version 1.0.9 revision 1.
  Upstream has revised the Cabal build instructions on Hackage.
* Mon Nov  8 2021 psimons@suse.com
- Update cabal-doctest to version 1.0.9.
  Upstream has edited the change log file since the last release in
  a non-trivial way, i.e. they did more than just add a new entry
  at the top. You can review the file at:
  http://hackage.haskell.org/package/cabal-doctest-1.0.9/src/ChangeLog.md
* Thu Dec 17 2020 mimi.vx@gmail.com
- disable %%{ix86} build
* Mon Aug 31 2020 psimons@suse.com
- Update cabal-doctest to version 1.0.8 revision 2.
  Upstream has revised the Cabal build instructions on Hackage.
* Tue Aug 18 2020 psimons@suse.com
- Replace %%setup -q with the more modern %%autosetup macro.
* Tue Jun 16 2020 psimons@suse.com
- Re-generate file with latest version of spec-cleaner.
* Thu May  7 2020 psimons@suse.com
- Update Cabal file to get more accurate dependency information.
* Fri Nov  8 2019 psimons@suse.com
- Drop obsolete group attributes.
* Thu Oct  3 2019 psimons@suse.com
- Update cabal-doctest to version 1.0.8.
  Upstream has edited the change log file since the last release in
  a non-trivial way, i.e. they did more than just add a new entry
  at the top. You can review the file at:
  http://hackage.haskell.org/package/cabal-doctest-1.0.8/src/ChangeLog.md
* Tue Aug 27 2019 psimons@suse.com
- Update cabal-doctest to version 1.0.7.
  [#] 1.0.7 -- 2019-??-??
  * Make `Distribution.Extra.Doctest` `-Wall`-clean
  * Support GHC-8.8, base-4.13, and Cabal-3.0
* Fri Oct 19 2018 psimons@suse.com
- Update Cabal build instructions to support ghc-8.6.1.
* Wed Jul 18 2018 psimons@suse.com
- Cosmetic: replace tabs with blanks, strip trailing white space,
  and update copyright headers with spec-cleaner.
* Mon May 14 2018 psimons@suse.com
- Update cabal-doctest to version 1.0.6 revision 1.
  * Hook `haddock` build too. Fixes issue when `haddock` fails, as
    `Build_doctests` isn't generated.
  * Add a hack so `Build_doctests` module is automatically added to
    to `other-modules` and `autogen-modules` when compiled with Cabal-2.0.
    Thanks to that, we don't get warnings because of `-Wmissing-home-modules`.
  * Add support for doctests in executables and (with `Cabal-2.0` or later)
    internal libraries. Refer to the `README` for more details.
  * Add an explicit `Prelude` import to `Build_doctests`
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Mon May 22 2017 psimons@suse.com
- Update to version 1.0.2 with cabal2obs.
* Thu May 18 2017 psimons@suse.com
- Update to version 1.0.1 with cabal2obs.
* Sun Feb  5 2017 psimons@suse.com
- Update to version 1 with cabal2obs.
